body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 20px;
}

header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
}

.fecha-actual {
    display: flex;
    align-items: center;
    font-size: 16px;
}

.logo {
    height: 150px;
    width: auto;
    margin-left: 10px;
}

.container {
    background-color: #fff;
    width: 100%;
    max-width: 800px;
    margin: 0 auto;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

h2 {
    font-size: 24px;
    color: #333;
    text-align: left;
    margin-bottom: 20px;
}

h2.separado {
    margin-top: 100px;
}

.form-horizontal {
    display: block;
}

.form-row {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap; /* Asegura que los elementos se ajusten correctamente */
    margin-bottom: 10px;
}

.form-group {
    display: flex;
    flex-direction: column;
    flex-basis: 48%;
    min-width: 200px; /* Asegura un ancho mínimo para evitar que sea demasiado estrecho */
}

label {
    margin-bottom: 5px;
    font-weight: normal;
}

input[type="text"],
input[type="email"],
select,
input[type="month"] {
    height: 38px;
    border: 1px solid #ccc;
    border-radius: 4px;
    padding: 0 10px;
}

.form-group.full-width {
    flex-basis: 100%;
}

input[type="checkbox"] {
    margin-right: 10px;
}

input[type="submit"] {
    width: 100%;
    padding: 10px;
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

input[type="submit"]:hover {
    background-color: #0056b3;
}

@media (max-width: 820px) {
    .form-row {
        flex-direction: column;
    }

    .form-group {
        flex-basis: 100%;
    }

    .form-group.full-width {
        flex-direction: column;
    }

    header {
        flex-direction: column;
        align-items: center;
    }

    .fecha-actual {
        margin-top: 10px; /* Añade espacio entre logos y la fecha en dispositivos más pequeños */
    }

    .logo {
        height: 80px; /* Ajusta el tamaño del logo en dispositivos más pequeños */
    }
}

